Subject: [PATCH 0/2] Fix mergetool.vimdiff.layout when "@" is used on REMOTE

From: Fernando Ramos <[email-masked]>
Date: Tue, 25 Mar 2025 23:23:09 +0100

The "mergetool.vimdiff.layout" config option accepts a "@" marker on one of the
possible targets ("LOCAL", "BASE", "REMOTE" or "MERGED") to specify which window
(or tab or buffer) will be used to overwrite the file which conflicts we are
trying to solve.

The problem is that it never really worked when used with "MERGED" (for all the
others it worked fine).

In this patch series we are fixing that and adding some unit tests to make sure
we never break this again in the future.

Fernando Ramos (2):
  mergetools: vimdiff: fix layout where REMOTE is the target
  mergetools: vimdiff: add tests for layout with REMOTE as the target

 mergetools/vimdiff | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

base-commit: 683c54c999c301c2cd6f715c411407c413b1d84e
-- 
2.49.0